Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020  Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020 
<== Date ==> <== Thread ==>

Subject: dbReadDatabase in base-7.0
From: Benjamin Franksen <benjamin.franksen@helmholtz-berlin.de>
To: EPICS Techtalk <tech-talk@aps.anl.gov>
Date: Tue, 24 Apr 2018 12:52:29 +0200
Hi everyone

I am trying to get some of our applications to build against base-7.0
(we have only used 3.14 until now). So far most of the changes I needed
to make were pretty straight forward, but I have now hit a road block.

It seems that DB_OPT is no longer supported. We are using DB_OPT in some
of our Makefiles for three reasons: (1) to keep down the size of
generated db files, (2) to make them more readable, and (3) to compare
them more easily. Re-adding DB_OPT support to the build system wasn't
very hard, and this question is /not/ about the build system.

We have long since replaced dbst with a much simpler tool, which
basically just calls dbReadDatabase twice (once for the dbd file and
once for the input db file) and then calls dbWriteRecord.

This tool no longer works with base-7.0. It complains

        *** Did you run x_RegisterRecordDeviceDriver(pdbbase) yet? ***
dbReadDatabase error; file name=../O.Common/OpticRamp.SIOC2CP.db.raw,
return code=-1, errno=0
dbAllocRecord(ORMPCGP:setOpt) with ao rec_size = 0
Can't create record "ORMPCGP:setOpt" of type "ao"
Error at or before ")" in file "../O.Common/OpticRamp.SIOC2CP.db.raw" line 1
Error: syntax error

I do not understand this error message. Is dbReadDatabase no longer the
right function to call?

Cheers
Ben
-- 
"Make it so they have to reboot after every typo." ― Scott Adams

Attachment: signature.asc
Description: OpenPGP digital signature


Replies:
Re: dbReadDatabase in base-7.0 Andrew Johnson

Navigate by Date:
Prev: Re: Security Hardening for EPICS/RTEMS Andrew Johnson
Next: OPC UA Device Support - Requirements Doc Ralph Lange
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020 
Navigate by Thread:
Prev: Re: base-3.15.5/templates/makeBaseApp/top/iocBoot/ioc/Makefile@Common Andrew Johnson
Next: Re: dbReadDatabase in base-7.0 Andrew Johnson
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  2017  <20182019  2020 
ANJ, 24 Apr 2018 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· Search · EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·